version: '3.9'

services:
  wordpress-web:
    image: nginx:latest
    ports:
      - 80:80
      - 443:443
    volumes:
      - ./nginx.conf:/etc/nginx/conf.d/default.conf
      - ./volumes/certbot/var/www/html:/var/www/html
      - /etc/letsencrypt:/etc/letsencrypt
    networks:
      default:
      productzilla:
  certbot:
    image: certbot/certbot
    volumes:
      - /etc/letsencrypt:/etc/letsencrypt
      - ./volumes/certbot/logs:/var/log/letsencrypt
      - ./volumes/certbot/var/www/html:/var/www/html
    depends_on:
      - wordpress-web
    command: certonly --webroot --webroot-path=/var/www/html --agree-tos --no-eff-email --email r.ilhamfadhilah@gmail.com -d program.productzillaacademy.com
    networks:
      default:
networks:
  productzilla:
    external: true
